What is planned for next version v4.2 ?

Because of worldwide trouble initiated by AutoDesk's decision to SELL "ExpressTools" beginning with AutoCAD Release 2000i, this also gave the idea for the main important new feature of "LayerManager":

  1. Integration of "Layer-States" that is used by the "ExpressTools-Layermanager" in AutoCAD R14/2000, and direct and bi-directional compatibility
  2. Integration of "Layer-Sets" that is used by the "ExpressTools-Layermanager" in AutoCAD 2000i, and direct and bi-directional compatibility

In best AutoCAD tradition, both "Layer-States" and "Layer-Sets" are not compatible, but by means of a freeware AutoCAD tool, supplied by AutoDesk, they may be converted from "Layer-States" to "Layer-Sets". "Layer-Sets" from AutoCAD 2000i can not be used with AutoCAD R14/2000, anyway. AutoCAD 2000i now uses an internal API (programmining interface) for "Layer-Sets", so it seems, that "Layer-Sets" will now stay for the future ...

This is the main new feature of version v4.2:

  • the left-window-title frame will show 2 additional icons: 1 for "Layer-States" (from R14/2000) and 1 for "Layer-Sets" (from R2000i). If the left window panel is set to one of these new modes, all "Layer-States" resp. "Layer-Sets" are displayed. For selected one, the "content" layers are displayed in the right window panel. Most of all LayerManager fetures (in handling and functions) will be available with "Layer-States" and "Layer-Sets" and with included layers - this means "Best of both wolrds" ...

  • Highlight:
    because LayerManager will not use AutoCAD's programming interface to access "Layer-States" and "Layer-Sets", but will access them physically (at low-level drawing access), both "Layer-States" and "Layer-Sets" are available with all R14, R2000 and R2000i - complete and compatible. This means: No more worries about "Layer-States" and "Layer-Sets" and where they are visible and usable - with LayerManager both are available with all AutoCAD versions !

Also planned:

In the near future (version v4.3 ?), LayerManager will supply a "Plug-In Interface": available program extentions may be "plugged-in" into LayerManager. Users may decide, which Plug-In-Modules should be active, and unneeded program code is not loaded. Additionally, new special features, only requested by a smaller part of users, can be realized by Plug-Ins, without extending the base program. All future Plug-In-Modules will be available free of charge from these websites.

Ideas, suggestions, remarks and wishes for the next versions are welcome in our wishlist ...